# 1.16.0

Enhancements:

- #7449 Wayland support (port Red Hat `libei` and `libportal` impl)
- #7448 Only add PR comments for internal PR
- #7445 Update `config.yaml` to support Linux Mint build target
- #7453 Change default value for dev thanks message
- #7455 Use EI screen when `XDG_SESSION_TYPE` is "wayland"
- #7461 More robust `choco` install and helpful `install_deps.py` messages
- #7464 Restore `--only-python` arg to only install Python deps
- #7465 Also cut `+` char for `SHORT_VERSION` var used on upload
- #7467 Load server or client args from `synergy-config.toml`
- #7469 Option to link against local `libportal` and other subprojects
- #7471 Use `vcpkg` to manage `openssl` dep instead of `choco`
- #7473 Simplify `vcpkg` caching and use system `vcpkg`
- #7474 FreeBSD GitHub runner with `vmactions/freebsd-vm@v1`
- #7479 Add `BUILD.md` to get people started

# 1.15.1

Enhancements:

- #7452 Change default value for dev thanks message

# 1.15.0

Enhancements:

- #7254 Bind client to a network interface with `--address`
- #7262 Backward compatibility for M1 and M2 builds
- #7263 Change name of Flatpak uploaded to snapshots
- #7265 Remove obtrusive Linux key press log messages
- #7269 Change file drag drop ERROR to DEBUG message
- #7274 Support env var to build unified core binary
- #7277 Change all errors that cause crash are FATAL
- #7282 Improve error handling for thread jobs
- #7284 Change session ID info log message to DEBUG2
- #7283 Update all workflows and fix broken macOS workflows
- #7313 Fix CodeQL workflow: Failed to perl 404 Not Found
- #7317 Bump `sonar-scanner-cli` to 5.0.1.3006
- #7318 Remove Azure Pipelines config entirely
- #7319 Remove workflows for slow self-hosted RPi runners
- #7320 Move `build_version.py` script to scripts dir
- #7321 Switch to GitHub hosted Mac M1 runner
- #7322 Use C++20 and add Windows CMake preset
- #7323 Add Linux and macOS CMake presets
- #7325 Add timeout to all GitHub workflows
- #7326 Restore lpDesktop assignment in Windows daemon
- #7327 Only use Ninja to build on Windows
- #7328 Reset error state before calling Process32Next
- #7330 Split CMake presets into debug and release
- #7331 Script to install deps (Windows only for now)
- #7332 Static link OpenSSL libs in CMake preset for Windows
- #7333 Update VS Code config for Windows daemon debugging
- #7334 Implement hello back in IPC protocol
- #7335 Clickable debug source paths and new launch target
- #7336 Add C++ and LLDB to VS Code recommendations
- #7351 Use deps script to make life easier for contribs
- #7352 Combine GitHub workflows to reduce config duplication
- #7354 Re-implement CI auto version increment for packaging
- #7353 Re-implement packaging for GitHub workflows (macOS)
- #7360 Re-implement packaging for GitHub workflows (Windows)
- #7361 Re-implement packaging for GitHub workflows (Linux)
- #7363 Schedule CI daily at 5am to detect code rot early
- #7364 Format all source with Clang and introduce lint workflow
- #7368 Make version check URL v1-specific and configurable
- #7369 Re-implement packaging for GitHub workflows (Linux ARM)
- #7372 Add Git SHA to about screen and `--version`
- #7373 Upgrade from Qt5 to Qt6 for more modern UI
- #7374 Add missing DEB and RPM dependencies
- #7376 Automated weekly build of Docker images for Linux runners
- #7378 Improve workflow triggers to ensure correct run time
- #7379 Resolve Qt framework path with `install_name_tool`
- #7380 Add `qt6-qpa-plugins` Qt dependency for Debian
- #7381 Set macOS min version to macOS 12.0
- #7382 Re-run `macdeployqt6` to copy missing Qt 6 dependencies
- #7383 Solve SonarCloud security hotspots and bugs
- #7384 Run `install_deps.py` script when building containers weekly
- #7389 Correct Qt macOS target and drop `Core5Compat` lib
- #7401 Run Valgrind on unit tests in CI to detect memory leaks
- #7403 Solve low hanging reliability and maintainability issues
- #7404 Restore integtests and add to CI as warning comment on failure
- #7406 Migrate scripts from `requirements.txt` to `pyproject.toml`
- #7407 Implement safer memory use, improve dev env, fixed GUI bugs
- #7412 Reduce GUI compile time by building a GUI library
- #7413 Improve UI design and reduce over-use of `#ifdef`
- #7414 Expand BSD sockets poll tests and remove legacy-poll code
- #7415 Assert arg value `num > 0` for BSD socket poll unblock pipe
- #7416 Catch exception propagating to `Server` dtor
- #7421 Only load core after settings have fully loaded
- #7419 Introduce 'Advanced' tab to Preferences window
- #7422 Handle empty value for computer name setting
- #7423 Refactor local/global save/load and show dev thanks message
- #7424 Add Alma Linux and Rocky Linux runners
- #7425 Refactored core process management and IPC client
- #7426 Fixed warnings and enable errors as warnings
- #7427 More reliable button click detection for add client dialog
- #7428 Refactor settings dialog to simplify enable/disable logic
- #7429 Parse date numbers as long instead of int
- #7430 Improve setting enable logic and test coverage
- #7431 Improve handling of Qt-related warnings and errors
- #7432 Only show close to tray reminder when not quitting the app
- #7434 Show dark logo in dark mode and improve .env loader
- #7435 Add reset settings menu action and env var
- #7436 Introduced new env vars for testing
- #7437 Show message box explaining why settings are read-only
- #7438 Compare result of `clickedButton` instead of `exec`
- #7440 Fixed light logo filename on about screen
- #7441 Share file line logic between logger and message box
- #7442 Improve error handling and use long long for dates

# 1.14.6

Bug fixes:

- #7208 Crash on FreeBSD when pressing special keys on a client
- #7241 Change the default signature hashing algorithm for sha256
- #7242 TLS certificate generation for Flatpak

Enhancements:

- #7222 Initiate non-TLS connection from server
- #7225 Initiate TLS connection from server
- #7239 Single app for server and client
- #7248 Firewall exception for client
- #7250 Builds for Fedora 37 and 38

# 1.14.5

Bug fixes:

- #7182 Remove unused TLS options from the GUI on client
- #7186 No additional TLS options for all users setting

Enhancements:

- #7183 Refactoring for Synergy 3 licenses
- #7190 Maintenance license serial key support
- #7193 Support for maintenance licenses in China
- #7197 Special contributor mentions on the about screen
- #7203 License registration for more editions
- #7210 Update macos workflow to use macos-latest
- #7213 Update azure pipelines to use macos-latest

# 1.14.4

Bug fixes:

- #7144 Double lines when pasting text from Linux to Windows
- #7149 Address issues with modifiers and dead keys
- #7163 Fix compilation issues for FreeBSD
- #7172 Memory leaks in language sync and TLS functionality
- #7175 Memory leaks in copy/paste and drag and drop functionality
- #7179 Disable drag and drop by default

Enhancements:

- #7143 Ability to stop Synergy on the login screen
- #7157 Only accept correct license for specific edition
- #7188 Only accept correct license for personal edition
- #7166 Replace language notifications with warnings in logs
- #7181 Fedora 36 support to CI system
- #7177 Create workflow for flatpak build support
- #7148 Fix unstable build for Windows core
- #7156 Change binary storage server
- #7161 Use brew bundle to install dependencies
- #7162 Add new distributions to CI
- #7167 Use changelog when creating deb files
- #7169 Remove temporary directory when building debs
- #7174 Show all workflows for Raspberry Pi
- #7187 Rename flatpak to match other builds

# 1.14.3

Bug fixes:

- #7135 Fix issue with function keys on macOS
- #7140 Configure scroll direction on a per-computer basis
- #7141 Code refactoring for the configure scroll direction task

# 1.14.2

Bug fixes:

- #7070 Radio button shifted focus on macOS
- #7038 Client and server different keyboard layout errors
- #7078 Clipboard re-enables automatically
- #7077 Broken Ubuntu, CentOS and Debian build
- #7080 Trace if the system can't open file with trusted fingerprints
- #7081 Dialog shouldn't appear for autoconfig functionality
- #7082 Windows client doesn't resume connection after sleep
- #7089 Modifier keys don't work on Microsoft Remote Desktop
- #7091 Broken CMakeFileList for unittests
- #7092 Runs after quit on Linux
- #7095 Update account and upgrade links
- #7096 The system duplicates hotkeys in setup
- #7099 Compilation broken with msvc 2014
- #7100 No configuration available on Windows
- #7097 Title disappeares after clicking on "Preferences"
- #7108 Wrong characters on client for unicode
- #7114 Problem with reading languages on Linux system
- #7115 Prevent notifications if language reading fails

Enhancements:

- #7068 Restart when settings changed
- #7072 Run synergy as a pre-login agent
- #7074 Restart when server settings changed
- #1043 Upload to S3 feature on all OS
- #7098 Apple M1 runner
- #7103 Fix core builds
- #7109 Fix build version for M1 builds

# 1.14.1

Bug fixes:

- #7016 Fix script that generates version number
- #7006 Resolve code scanning issues
- #7012 Fix natural horizontal scrolling on Mac client
- #6997 Allow Windows to go to sleep depending on system preferences
- #7001 Add option to prevent computer from going to sleep
- #7029 | #7033 Wrong encoding for text copied between linux and windows
- #7015 Fix Windows service not starting up after sleep
- #7036 Fix tray icon not changing theme on Big Sur
- #7046 Fix MacOS 10.13 build
- #7049 Scroll doesn't work in case of macOS is server
- #7057 | #7058 Fix copy paste logic, when OS reported about clipboard update too late
- #7055 | #7066 Add secure input notification on Linux
- #7052 Add secure input notification on Windows
- #7047 | #7060 Fix prevent sleep option on Mac and Windows
- #7064 There is no secure input notification if user moves pointer between clients

Enhancements:

- #6998 Remove functionality related to the screen saver synchronisation
- #7026 Update the way we package OpenSSL for Windows build
- #7035 Add Fedora 34 build
- #7037 Add Ubuntu 21.04 build
- #7030 | #7041 | #7043 Add user notification for secure input on Mac
- #7044 Apply natural scroll setting independently on each client
- #7040 Support "Kana" and "Eisu" keys on Japanese Apple Pro Keyboard (JIS)
- #7047 Add prevent sleep option support to Linux

# 1.14.0

Bug fixes:

- #6953 | #6961 The system does not update server name in Server configuration
- #6966 macOS 10.13 missing build number
- #6968 System loses synchronisation between settings and configuration
- #6972 Fix SonarCloud security hotspots
- #6971 Fix vulnerabilities from SonarCloud
- #6974 Fix macOS 10.13 application filess
- #6975 Fix server stop working
- #6976 Fix windows builds
- #6979 Manual config error in client mode
- #6983 Fix that mac client listens on ipv4 only
- #6989 Fix client tray language switcher reverts to EN
- #6993 Fix issues with prefences UI
- #6992 UI issues and use cases
- #7000 Additional UI tweaks
- #7005 Fix User is not able to connect to server using ipv6 without wrapping IP in square quotes
- #7009 Clipboard sharing doesn't work on Linux system
- #7010 Fix Ubuntu 16.04 pipeline in Azure
- #7011 Fix language synchronisation checkbox spelling
- #7013 Wrong connection pop up appears if the user connects using a domain name which is assigned to list of IP's
- #7014 Temporary disable language sync logic
- #7020 Remove cmake option for autoconfig

Enhancements:

- #6954 Move language selection to advanced section
- #6959 Update synergy UI. Setup wizard
- #6969 Update synergy UI. Validation for aliases.
- #6973 Update synergy UI. Main window
- #6977 Update synergy UI. Configure server
- #6978 Update synergy UI. Settings window
- #6981 | #6987 | #6988 | #6996 Update synergy UI. Setup client configuration
- #6984 Update synergy UI. Client error messages
- #6962 | #6965 Add macOS 10.13 builder
- #6990 Change VersionChecker URL and include system language in the header
- #6999 Detect if Linux is running with Wayland, and display a warning message
- #7003 | #7024 Prioritization rules server config
- #7004 Add openssl dependency for rpm
- #7008 Add logging when hostname have several IP
- #7022 Add Fedora 33 to build and release pipeline
- #7031 New licenses for Chinese market

# 1.13.1

Bug fixes:

- #6900 Remaining SonarCloud reported bug items
- #6903 Save global settings
- #6889 Systray Icon on Ubuntu Auto Start (take 2)
- #6907 Saving configuration on apply
- #6934 Text on welcome screen on macOS is shown without spaces
- #6920 Windows Installer checksums
- #6921 Handling pre-main window creation status notifications
- #6922 macOS CI build
- #6927 Text copied and pasted between Windows and Mac OS converts to japanese
- #6936 Application loses settings
- #6939 Update pipelines to use correct credentials
- #6942 All the text in all the windows should have the same font and size
- #6944 Systray icon is incorrect for macOS Big Sur
- #6941 The application doesn't recognize old settings
- #6945 Fix build for Raspberry Pi
- #6946 Add build stage to filename
- #6950 Synergy client doesn't save the server address when rebooted
- #6951 Fix issue creating standard version for Raspberry Pi

Enhancements:

- #6912 Removes UI for Screen Saver Sync and Files Drag and Drop
- #6909 Document CLI Arguments
- #6916 Main Window receives screen name change
- #6910 Don't use the word “Version” for release names because it can lead to errors during update checking.
- #6918 Removing positional union initialisation
- #6931 Update build pipeline to support macOS 10.13
- #6937 Modern C++ compiler for centOS7
- #6938 Remove auto config message from the main window
- #6941 Add Raspberry Pi Builds
- #6949 Add a new option SYNERGY_AUTOCONFIG to exclude autoconfig from the standard version
- #6952 Change OpenSSL logic to use find_package

# 1.13.0

Bug fixes:

- #6858 Application is blurry and unfocused on macOS
- #6872 Check for dns_sd.h only when building GUI
- #6874 The logo on Windows taskbar is incorrect.
- #6879 Update macOS installer drive icons
- #6878 Update googletest library to latest version
- #6882 Build macOS using qt 5.15.2 and avoid using brew for build
- #6884 Fix logo for Linux and dark logo for macOS
- #6886 Update Welcome screen

Enhancements:

- #6867 Create only 1 artefact for macOS
- #6885 Make build for every merge to master

# 1.13.0

Bug fixes:

- #6831 Incorporating Sonar's major
- #6837 Memory leaks on macOS system
- #6838 Serial key requested by mistake
- #6849 Auto-hide resets itself
- #6846 TLS certificate is not created by default
- #6859 Systray Icon on Ubuntu Auto Start
- #6863 Adding MacOS CI Build Steps for Homebrew Cleanup

Enhancements:

- #6836 Enabling Github Code Scanning
- #6841 Windows installer has been updated.
- #6844 macOS installer has been updated.
- #6860 About Synergy logo refreshed
- #6865 Updated visual assets

# 1.12.1

Bug fixes:

- #6753 Fixed a number of vulnerabilities detected by static analysis
- #6567 Fixed Synergy spawning hundreds of zombie processes
- #6755 Fixed Vulnerability in vreadf function detected by Static analysis
- #6758 Account name with space on windows causes synergy to error when starting
- #6760 Synergy loses license when creating a System scope config
- #6342 Updated copyright year in version to use build date
- #6771 Added Ubuntu 16 to CI/CD
- #6804 Synergy loses edition when creating a System scope config
- #6660 + #6582 Add missing XAtom for utf-8 handling with Xorg
- #6814 The system asks to save twice.
- #6817 Configure requires dns_sd.h
- #6826 + #6829 SonarCloud Critical bugs
- #6821 Blocker bugs found by sonar in synergy and in tests
- #6825 The system requires google test even when tests are disabled with BUILD_TESTS=OFF
- #6832 TLS certificate error on macOS system
- #6835 Create TLS certificate during upgrade

Enhancements:

- #6750 Integrate SonarCloud for static analysis and test coverage
- #6792 License key expiry
- #6799 New edition
- #6803 Update Synergy icons
- #6800 Update behaviour when unregistered
- #6806 Move to Github Action for general PR builds and tests
- #6816 Improve license key validation

# 1.12.0

Bug fixes:

- #6748 Copyright year in about dialog isn't updated
- #6730 Updating synergy looses settings
- #6734 Fixed naming of installers for linux and windows
- #6743 Azure build git revision showing as 0badc0de
- #6487 Mouse freezes or key repeats on Linux client
- #6663 Limit GUI log Window to prevent it using up too much RAM over time
- #6587 Auto config setting doesn't do anything
- #6620 Unit tests are no longer built
- #6670 Build computers failing with language file error
- #6661 Removed deprecated namespace in gtest/gmock by updating
- #6601 Update man page with missing crypto option
- #4036 Client cursor constrained to old resolution
- #6716 Denial of Service vulnerability on servers with 4GB of ram or less

Enhancements:

- #6739 Add submodules cloning to cmake
- #6736 Command line option for custom TLS Certificate
- #6666 Add doxygen documentation output from pipelines
- #6674 Debian 10 X11 build for CI
- #6714 Added windows core binaries upload to sandor
- #6715 Updated language file from Crowdin
- #6688 Fully migrate CI from Jenkins to Azure Pipelines
- #6718 GitHub Action to test PR's for if ChangeLog was updated
- #6722 Allow servers to be announced by screen name instead of IP
- #6720 Add macqtdeploy to cmake
- #6725 Disable the building of tests with CMake option

Features:

- #6538 System-wide config for all system users

# 1.11.1

Bug fixes:

- #6622 Language files not updated during build
- #6611 Mismatched TLS SHA fingerprint types
- #6608 TLS certificate is not created on Windows
- #6593 Non-ASCII characters replaced with ? on client
- #4288 Using print screen key also sends alt key
- #4 Quote chars broken on US-International keyboard

Enhancements:

- #6632 Support for building with LibreSSL
- #6396 Black and white icons for macOS toolbar

# 1.11.0

Bug fixes:

- #6575 Service start error on Windows
- #6570 Hotkey capture of ctrl and cmd swapped on macOS
- #6569 Unable to run on macOS 10.15 Catalina
- #6566 Debug message output mistakenly as info message
- #6561 Debian buster no longer supports CA key length of 1024
- #6556 Function missing error from OpenSSL/TLS
- #5959 User interface failed to load local fingerprint
- #5294 Cursor lockout at Windows server login screen

Enhancements:

- #6588 Version number header with update check
- #4957 Server fails to start up due to synwinhk.dll is in use

Features:

- #6518 Key combination that will force a server restart

# 1.10.3

Bug fixes:

- #6546 Filtered out self assigned ip addresses from being displayed
- #6541 Fixed connected info text to include without TLS encryption
- #6527 Config app renders incorrectly on high DPI screens
- #6526 New TLS/SSL socket handled when no socket
- #6525 Race condition on disconnecting TLS/SSL socket
- #6521 Access violation in TLS/SSL socket close
- #6409 Server freezes when clipboard contains an image
- #3705 Hotkeys not working on Mac server

Enhancements:

- #6535 Version URL and added stage check to version check
- #6529 Cleaner redistributable use in Windows installer
- #6528 More verbose message for Linux display errors
- #6524 Minimize config app to system tray
- #6523 Restore auto hide on startup for config app
- #6522 Double click Windows tray icon to show and hide
- #6520 Support for 32-bit Linux for legacy users
- #6519 Support for Ubuntu 14.04 LTS for legacy users
- #6390 Support for OpenSSL 1.1.1 for better security

# 1.10.2

Bug fixes:

- #6495 Event queue memory leak in server cleanup
- #6471 Unable to stop core retry loop in config app
- #6460 TLS memory leak on Linux server when using client
- #6407 Config app shows auto-config elements
- #6403 Mouse cursor movement drifts over time
- #6392 Hostname alert shows unnecessarily on every open
- #6373 Compile fails on BSD Unix with dl error

Enhancements:

- #6485 Readme for master branch with download help
- #6475 Change master branch to current version
- #6470 CI solution with on-demand containers
- #6397 Remember last server used in Auto Config
- #6375 Support for Qt 5.11 framework on Windows

# 1.10.1

Bug fixes:

- #6339 Windows validating install step freezes
- #6374 Windows background service crashes randomly
- #6376 Undeclared identifier compile error in VS2017

Enhancements:

- #6372 Forced use of TLS 1.2 without fallback method
- #6338 Auto config checkbox on settings screen
- #6384 Removal of GPL screen on Windows installer
- #6383 Extend foreground mode for Windows daemon
- #6382 Code comment for MSVC debugger logging
- #6380 Compile without warnings using VS2017

# 1.10.0

Bug fixes:

- #6347 Log to file defaults to unwritable location
- #6345 Losing GUI config when restarting the OS
- #4991 Oversized Bonjour protocol name could conflict

Enhancements:

- #6348 Use different hard coded Qt path for CI
- #6346 CLI argument to control screen lock feature
- #6344 Customizable size limit on clipboard sharing
- #6332 Decouple version from CI build properties
- #6319 Bonjour auto-config disabled by default
- #6318 Hide TIS/TSM error on config app log
- #6312 Removal of redundant CURL library
- #6306 Show version number in config app title
- #6305 Support for Raspbian in package config
- #6301 Combine codebases for all editions

# 1.9.1

Bug fix:

- #5964 Can't click after sleep on Mac client

Enhancements:

- #6310 More robust macOS screen shape detection
- #6309 Update OpenSSL to 1.0.2o for better security

# 1.9.0

Bug fixes:

- #6251 Service hangs after GUI is opened
- #5844 Icon causes Linux package manager to fail
- #4132 Laggy mouse cursor on macOS clients

Enhancements:

- #6116 Quieter quartz event log entry on Mac
- #6037 Solve defects reported by PVS Studio
- #6014 Code sign binaries on Windows
- #6012 Jenkins integration for Ubuntu
- #5836 Jenkins integration for macOS
- #5834 Jenkins integration for Fedora
- #5390 Allow tests to be skipped during build
- #5389 Qt 5 library support for config app
- #5019 Raspbian armhf support for Raspberry Pi
- #4978 Visual Studio 2015 support on Windows 10
- #4154 IPv6 support for Windows and Linux

# 1.8.8

Bug #5196 - Some keys on Korean and Japanese keyboards have the same keycode
Bug #5578 - Pressing Hangul key results in alt+'a'
Bug #5785 - Can't switch screens when cursor is in a corner
Bug #3992 - macOS: Dragging is broken in Unity 3D
Bug #5075 - macOS: Build fails on macOS 10.9 due to unknown compiler flag
Bug #5809 - macOS: No version number is shown in the App Info dialog
Bug #3197 - Linux: switchDoubleTap option is not working
Bug #4477 - Linux: Mouse buttons higher than id 10 result in crash
Bug #5832 - Linux: Screen size misdetected on multi-monitor display
Enhancement #4504 - Improved Korean language description
Enhancement #5525 - Added support for precise screen positioning in config file
Enhancement #4290 - Windows: Removed annoying alt+print screen functionality

# 1.8.7

Bug #5784 - Edition changes when reopening GUI

# 1.8.6

Bug #5592 - Some keys don't work for macOS Sierra clients
Bug #5186 - Cursor stuck on client when using multi-DPI server
Bug #5722 - Malformed serial key in registry will crash GUI on startup
Bug #5752 - Tab order is incorrect on Settings dialog
Enhancement #5699 - Unified installers on macOS
Feature #4836 - macOS Sierra build

# 1.8.5

Bug #5680 - Server crashes when disconnecting SSL clients
Bug #5626 - Build fails using Xcode 8 and macOS SDK 10.12
Feature #5657 - Trial version support
Feature #5707 - User upgrade statistics

# 1.8.4

Bug #5183 - Slowly moving the cursor has no effect on high DPI clients
Bug #4041 - UHD/4K DPI scaling broken on Windows servers
Bug #4420 - When XRandR adds a screen, it is inaccessible
Bug #5603 - Activation notification depends on existence of /etc/os-release
Bug #5624 - Update notification sometimes requests a downgrade
Bug #5329 - Current date is shown for build date in the about dialog
Enhancement #5617 - Remove redundant plugin infrastructure
Enhancement #5627 - Move SSL certificate generation to main window
Enhancement #5628 - Move SSL implementation into core binary
Enhancement #5629 - Move activation from wizard into new dialog window

# 1.8.3

Bug #2765 - A letter appears on macOS clients when the spacebar is pressed
Bug #3241 - Windows UAC disconnects clients when elevated
Bug #4740 - Linux client crashes with "Assertion '!m_open' failed"
Bug #4879 - Memory leak caused by IpcReader
Bug #5373 - Tab behaves like shift tab on client
Bug #5502 - Copy and paste from server to client doesn't work
Enhancement #123 - Option to disable clipboard sharing
Enhancement #3305 - Media key support on macOS
Enhancement #4323 - Make automatic elevation on Windows optional

# 1.8.2

Bug #3044 - Unable to drag-select in MS Office
Bug #4768 - Copy paste causes 'server is dead' error on switching
Bug #4792 - Server logging crashes when switching with clipboard data
Bug #2975 - Middle click does not close Chrome tab on Mac client
Bug #5087 - Linux client fails to start due to invalid cursor size
Bug #5471 - Serial key textbox on activation screen overflows on Mac
Bug #4836 - Stop button resets to Start when settings dialog canceled
Enhancement #5277 - Auto restart service when synwinhk.dll fails on Windows
Enhancement #4913 - Future-proof GUI login by using newer auth URL
Enhancement #4922 - Add --enable-crypto argument to help text
Enhancement #5299 - High resolution App icon on Mac
Enhancement #4894 - Improve grammar in connection notification dialog

# 1.8.1

Bug #5461 - GUI crash during activation on Mac

# 1.8.0

Enhancement #4696 - Include 'ns' plugin in installers (instead of wizard download)
Enhancement #4715 - Activation dialog which also accepts a serial key
Enhancement #5020 - Recommend using serial key when online activation fails
Enhancement #4893 - Show detailed version info on GUI about screen
Enhancement #4327 - GUI setting to disable drag and drop feature
Enhancement #4793 - Additional logging to output OpenSSL version
Enhancement #4932 - Notify activation system when wizard finishes
Enhancement #4716 - Allow software to be time limited with serial key

# 1.7.6

Bug #451 - Fast cursor on any client with Mac server
Bug #5041 - Copying from the Chrome web browser doesn't work
Bug #4735 - Clipboard doesn't work from client to server
Bug #2909 - Clipboard copies only plaintext between Mac and Windows
Bug #4353 - Large clipboard causes crash
Bug #3774 - Missing MinGW dependencies after install on Windows
Bug #4723 - Waiting for active desktop result freezes Windows service

# 1.7.5

Bug #5030 - Display scaling breaks edge detection on Windows
Bug #5064 - Compile fails on Mac OS X 10.11 (unused typedef)

# 1.7.4

Bug #4721 - High CPU usage for Windows service
Bug #4750 - SSL connect error 'passive ssl error limit'
Bug #4584 - Drag and drop with SSL causes crash
Bug #4749 - Clipboard thread race condition causes assertion failure
Bug #4720 - Plugin download shows 'Could not get Linux package type' error
Bug #4712 - Unable to send clipboard with size above 1KB when using SSL
Bug #4642 - Connecting causes SSL23_GET_SERVER_HELLO error
Bug #4690 - Log line 'activeDesktop' does not use logging system
Bug #4866 - Wrong ns plugin version can be loaded
Enhancement #4901 - Auto restart when running from GUI in desktop mode
Enhancement #4845 - Add timestamp to log output
Enhancement #4898 - Move version stage name to build config

# 1.7.3

Bug #4565 - Incorrect plugin downloads on Debian and Mint
Bug #4677 - Windows service log file grows to very large size
Bug #4651 - High logging rate causes Windows service to crash
Bug #4650 - SSL error log message repeats excessively and freezes cursor
Bug #4624 - Runaway logging causes GUI to freeze
Bug #4617 - Windows service randomly stops after 'ssl handshake failure' error
Bug #4601 - Large clipboard data with SSL causes 'protocol is shutdown' error
Bug #4593 - Locking Windows server causes SSL_ERROR_SSL to repeat
Bug #4577 - Memory leak in GUI on Windows caused by logging
Bug #4538 - Windows service crashes intermittently with no error
Bug #4341 - GUI freezes on first load when reading log
Bug #4566 - Client or server crashes with 'ssl handshake failure' error
Bug #4706 - Installer is not output to build config dir on Windows
Bug #4704 - Plugin 'ns' release build is overwritten with debug version on Linux
Bug #4703 - Plugins are not built to config directory on Mac
Bug #4697 - Timing can allow an SSL socket to be used after cleanup call
Enhancement #4661 - Log error but do not crash when failing to load plugins
Enhancement #4708 - Download ns plugin for specific Mac versions
Enhancement #4587 - Include OpenSSL binaries in source for easier building
Enhancement #4695 - Automatically upload plugins as Buildbot step

# 1.7.2

Bug #4564 - Modifier keys often stuck down on Mac client
Bug #4581 - Starting GUI on Mac crashes instantly on syntool segfault
Bug #4520 - Laggy or sluggish cursor (ping spikes) on Mac when using WiFi
Bug #4607 - GUI doesn't start after install on Windows
Enhancement #4412 - Automate extract and compile for OpenSSL
Enhancement #4567 - SSL plugin should use TLS1.method() minimum
Enhancement #4591 - Revert to legacy Mac deployment and signing
Enhancement #4569 - Reintroduce GUI auto-hide setting (disabled by default)
Enhancement #4570 - Make `--crypto-pass` show deprecated message
Enhancement #4596 - Typo 'occurred' in WebClient.cpp

# 1.7.1

Bug #3784 - Double click & drag doesn't select words on client
Bug #3052 - Triple-click (select line) does not work
Bug #4367 - Duplicate Alt-S Keyboard Shortcuts on Gui
Bug #4554 - Server unable to accept new SSL connection
Bug #4553 - SSL handshake failure error causes GUI to crash
Bug #4551 - Plugin wizard doesn't create SSL directory
Bug #4548 - Severe code duplication in fingerprint logic
Bug #4547 - Windows server crashes when client fingerprint dialog open
Bug #4539 - Mac client dies when server has SSL_ERROR_SSL
Bug #4537 - Plugin wizard doesn't complete but finish button enabled
Bug #4535 - Server crashes on shut down after multiple connections failed
Bug #4528 - Error SSL_ERROR_SSL is logged on unknown error
Bug #4527 - Server fingerprint dialog on client GUI keeps showing
Bug #4469 - GUI crashes on Windows when generating certificate
Bug #4410 - SSL_ERROR_SSL (unknown protocol) on Mac client
Bug #4409 - SSL_ERROR_SSL (unknown alert type) on Windows 8.1 client
Bug #4557 - GUI doesn't show local fingerprint on fresh install
Enhancement #4522 - SSL server fingerprint verification from client
Enhancement #4526 - Display local fingerprint on server GUI
Enhancement #4549 - Extract SSL certificate and fingerprint generate function
Enhancement #4546 - Redistribute OpenSSL on Windows with installer
Enhancement #4540 - Enable Network Security checkbox only when ns plugin exists
Enhancement #4525 - Reorganize app data directory
Enhancement #4390 - Disable GUI auto-hide by default

# 1.7.0

Enhancement #4313 - SSL encrypted secure connection
Enhancement #4168 - Plugin manager for GUI
Enhancement #4307 - Always show client auto-detect dialog
Enhancement #4397 - Modernize Mac build script (deployment and signing)
Enhancement #4398 - Remove obsolete Mac database cleaner
Enhancement #4337 - Remove IStreamFilterFactory dead code

# 1.6.3

Bug #4349 - Mouse click does not always bring window to front
Bug #4463 - Unidentified developer error on Mac OS X
Bug #4464 - Code signing verify failure not reported on Mac build
Bug #4465 - Binary (syntool) is not code signed on Windows
Enhancement #4455 - Replace version with branch name in package filename

# 1.6.2

Bug #4227 - Helper tool crashes when service checks elevation state
Bug #4091 - Zeroconf on server advertises bogus IP address
Bug #4249 - Drag file causes client crash on Mac (10.10)
Enhancement #4196 - Optional Bonjour requirement for Windows
Enhancement #4235 - Automatic Bonjour download and install
Enhancement #4218 - Auto-config available servers combo box
Enhancement #4230 - More user friendly dialog when client is detected
Enhancement #4240 - Minimize auto config message box usage
Enhancement #4247 - Firewall exception for GUI (needed for Bonjour)
Enhancement #4242 - Consistent naming for auto config feature

# 1.6.1

Bug #4002 - Carbon loop not ready within 5 sec
Bug #4191 - Accessibility helper tool crashes
Bug #4149 - Mac 10.9.5 or 10.10 gatekeeper blocks Synergy
Bug #4139 - Exception thrown when ProcessIdToSessionId() fails
Bug #4055 - Shift keys are not sent to clients (Win 8.1 server)
Bug #4021 - Copy & paste not working for EFL applications
Bug #3749 - Linux Chrome hover doesn't work
Bug #4128 - Daemon logging not written with "log to file"
Enhancement #4122 - Enable drag and drop by default
Enhancement #4158 - Build for Mac OS X 10.10
Enhancement #4130 - Auto elevate for Windows UAC and screen lock
Enhancement #4126 - 64-bit support for OS X
Enhancement #4141 - DMRM message support for μSynergy
Enhancement #4124 - More robust argument parsing

# 1.6.0

Feature #65 - Auto config feature using Zeroconf/Bonjour

# 1.5.1

Bug #3307 - Configuration file paths containing spaces don't work
Bug #3404 - Log path needs to be in quotes on windows
Bug #3996 - Installer fails when Windows Firewall is disabled

# 1.5.0

Bug #4060 - Key stuck down on Windows server
Bug #4061 - Windows server repeats modifier keys

# 1.4.18

Bug #3980 - Shell extension DLL causes explorer.exe to crash
Task #4049 - Correct code style in OSXKeyState compilation unit
Task #4050 - Fix subversion issue tracker URL
Task #4053 - Improve deb package quality
Task #4054 - Improve rpm package quality

# 1.4.17

Bug #2836 - Unable to begin screen name or alias with numbers
Bug #3796 - Some files being unintentionally dragged (including explorer.exe)
Bug #3886 - Alias is allowed to match screen name
Bug #3919 - RPM install fails on Fedora 20, failed dependencies: libcurl
Bug #3921 - Error: synwinxt.dll outdated (upgrading from 1.4.15 to 1.4.16)
Bug #3927 - Mavericks accessibility exception not working (when upgrading from 1.4.15 to 1.4.16)
Bug #3933 - Plus signs in the email address cause premium login to fail
Bug #3939 - Compile fails on ARM (Raspberry Pi) because of cryptopp/Crypto++ lib
Bug #3947 - Conflicts when using yum localinstall on Fedora 20
Bug #3959 - Premium title doesn't always show on first login
Bug #3968 - GUI auto-hides on initial first install (with no config)
Task #3936 - Change installer to WiX for improved file upgrade process
Task #3950 - Poll modifier after key down on Mac OS X and log results
Task #3951 - Clear filename stored in synwinxt on mouse up
Task #3952 - Make Premium wizard page cleaner
Task #3953 - Inherit XArch and XBase from std::exception
Task #3954 - Make "lock to screen" log message go to NOTE level instead of DEBUG
Task #3960 - Split CMSWindowsHookLibraryLoader into hook and shellex loaders
Task #3961 - Remove Windows 95 support
Task #3963 - Disable failing Linux unit/integ tests on Fedora 20 32-bit (valgrind SIGILL)
Task #3964 - Make Premium login error more verbose
Task #3969 - Merge String.cpp and StringUtil.cpp

# 1.4.16

Bug #3338 - Alt tab not working with Windows 8
Bug #3642 - Failed to start server on Mac OS X 10.9 Mavericks, assistive devices problem
Bug #3785 - Synwinxt.dll error opening file for writing during install of 1.4.15
Bug #3787 - Wont automatically load after login on OS X
Bug #3788 - Configuration wizard: Premium login fails when behind a proxy
Bug #3796 - Some files being unintentionally dragged (including explorer.exe)
Bug #3799 - Synergy Client on Fedora crashes on drag/drop operations
Bug #3818 - Client freezes on Mac OS 10.6.8
Bug #3874 - Premium GUI login is case sensitive for email
Bug #3911 - Drag and drop error on OS X 10.9 Mavericks

# 1.4.15

Bug #3765 - Synergy Service - Error 87: The parameter is incorrect.
Bug #3781 - Option not supported on Linux: --enable-drag-drop (server not starting)

# 1.4.14

Bug #3287 - Mac does not wake up
Bug #3758 - Unstable service (synergyd)
Bug #3759 - Exploit: C:\Program.exe (if it exists) is run by service (elevated)
Bug #3760 - Encryption broken (GCM, CTR and OFB)
Bug #3761 - Start button is visible when Synergy is running
Bug #3762 - Apply button is disabled for Mac and Linux
Feature #46 - Drag and drop between computers (Windows and Mac)

# 1.4.13

Version not released, unstable.

# 1.4.12

Bug #3565 - Encryption fails when typing fast (Invalid message from client)
Bug #3606 - GUI is elevated after setup
Bug #3572 - Mac caps lock causes disconnect

# 1.4.11

Feature #12 - Encryption
Feature #421 - Portable version
Bug #2855 - Mouse cursor remains hidden on Mac client (intermittently/randomly)
Bug #3281 - server start on OS X defaults to 'interactive'
Bug #3310 - P&ort in settings screen

# 1.4.10

Bug #2799 - Right shift broken (Windows server, Mac OS X client)
Bug #3302 - GUI does not show/hide when tray icon is double clicked (Windows)
Bug #3303 - Mac OS X IPC integ test fails intermittently
Feature #2974 - Gesture Support for Magic Mouse/Trackpad
Feature #3172 - Button to stop Synergy when in service mode
Feature #3241 - Option to elevate synergyc/s when in service mode
Feature #3242 - Show a list of available IP addresses and screen name on the main screen
Feature #3296 - 64-bit Windows installer should display helpful message on 32-bit Windows
Feature #3300 - Make service mode default mode (now that we have elevate option)
Feature #3301 - Add process mode option to settings (remove startup wizard page)
Feature #3306 - Gatekeeper compatibility on Mac OS X 10.8

# 1.4.9

Bug #3159 - In service mode, server doesn't start unless GUI is running
Bug #3214 - Client sometimes can't connect if GUI is closed
Bug #56 - Mac OS X server not sending keystrokes to client
Bug #3161 - First time GUI appears, service doesn't send logging
Bug #3164 - In service mode, you need to add a firewall exception
Bug #3166 - Service shutdown stalls when GUI is closed
Bug #3216 - Fatal error if plugins folder doesn't exist
Bug #3221 - ERROR: could not connect to service, error: 2
Feature #3192 - Add support for JOYINFOEX structure to poll game device info
Feature #3202 - Plugin support (sending for primary screen events on Windows only)
Feature #3155 - Cross-platform TCP IPC between GUI and service
Task #3177 - Fix Mac buildslave to build multiple versions
Task #3193 - Add Micro Synergy to repository
Task #3275 - Change hostname label to "IP address or hostname"
Task #3276 - Installation recovery mechanism for synrgyhk.dll

# 1.4.8

Bug #143: Cursor on Mac OS X goes to center when inactive
Bug #146: Screen Resize causes problems with moving off right-hand side of screen
Bug #3058: Modifier keys not working on Mac OS X server
Bug #3139: Double click too strict (click, move, click should not count)
Bug #3195: Service install can fail first time
Bug #3196: Wizard buttons not visible
Bug #3197: GUI doesn't take focus after install
Bug #3202: Hook DLL (synrgyhk.dll) is not released
Feature #3143: Setup wizard for first time users
Feature #3145: Check for updates
Feature #3174: Startup mode wizard page
Feature #3184: New service for process management

# 1.4.7

Bug #3132: GUI hides before successful connection
Bug #3133: Can't un-hide GUI on Mac
Feature #3054: Hide synergy[cs] dock icon (Mac OS X)
Feature #3135: Integrate log into main window
Task #3134: Move hotkey warnings to DEBUG

# 1.4.6

Bug #155: Build error on FreeBSD (missing sentinel in function call)
Bug #571: Synergy SegFaults with "Unknown Quartz Event type: 0x1d"
Bug #617: xrandr rotation on client confines cursor in wrong area
Bug #642: `synergyc --help` segfaults on sparc64 architecture
Bug #652: Stack overflow in getIDForKey
Bug #1071: Can't copy from the Firefox address bar on Linux
Bug #1662: Copying text from remote computer crashes java programs.
Bug #1731: YouTube can cause server to freeze randomly
Bug #2752: Use SAS for ctrl+alt+del on win7
Bug #2763: Double-click broken on Mac OS
Bug #2817: Keypad Subtract has wrong keycode on OS X
Bug #2958: GNOME 3 mouse problem (gnome-shell)
Bug #2962: Clipboard not working on mac client
Bug #3063: Segfault in copy buffer
Bug #3066: Server segfault on clipboard paste
Bug #3089: Comma and Period translated wrong when using the NEO2-layout
Bug #3092: Wrong screen rotation detected
Bug #3105: There doesn't seem to be a system tray available. Quitting
Bug #3116: Memory Leak due to the XInput2 patches
Bug #3117: Dual monitors not detected properly anymore
Feature #3073: Re-introduce auto-start GUI (Windows)
Feature #3076: Re-introduce auto-start backend
Feature #3077: Re-introduce hidden on start
Feature #3091: Add option to remap altgr modifier
Feature #3119: Mac OS X secondary screen
Task #2905: Unit tests: Clipboard classes
Task #3072: Downgrade Linux build machines
Task #3090: CXWindowsKeyState integ test args wrong
